package com.xinelu.manage.domain.labelfieldinfo;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 标签字段信息对象 label_field_info
 *
 * @author xinelu
 * @date 2024-06-20
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "标签字段信息对象", description = "label_field_info")
public class LabelFieldInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 字段名称
     */
    @ApiModelProperty(value = "字段名称")
    @Excel(name = "字段名称")
    private String fieldName;

    /**
     * 字段编码
     */
    @ApiModelProperty(value = "字段编码")
    @Excel(name = "字段编码")
    private String fieldCode;

    /**
     * 字段类型，画像标签字段：PORTRAIT_LABEL_FIELD，知识库字段：KNOWLEDGE_FIELD
     */
    @ApiModelProperty(value = "字段类型，画像标签字段：PORTRAIT_LABEL_FIELD，知识库字段：KNOWLEDGE_FIELD")
    @Excel(name = "字段类型，画像标签字段：PORTRAIT_LABEL_FIELD，知识库字段：KNOWLEDGE_FIELD")
    private String fieldType;

    /**
     * 字段排序
     */
    @ApiModelProperty(value = "字段排序")
    @Excel(name = "字段排序")
    private Integer fieldSort;

    /**
     * 字段备注信息
     */
    @ApiModelProperty(value = "字段备注信息")
    @Excel(name = "字段备注信息")
    private String fieldRemark;

    /**
     * 任务细分id，当做分组使用
     */
    @ApiModelProperty(value = "任务细分id，当做分组使用")
    private Long taskPartitionDictId;

    /**
     * 任务细分名称(冗余)
     */
    @ApiModelProperty(value = "任务细分名称(冗余)")
    @Excel(name = "任务细分名称")
    private String taskPartitionDictName;

    /**
     * 任务类型表id(冗余)
     */
    @ApiModelProperty(value = "任务类型表id(冗余)")
    private Long taskTypeId;

    /**
     * 任务类型名称(冗余)
     */
    @ApiModelProperty(value = "任务类型名称(冗余)")
    private String taskTypeName;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("fieldName", getFieldName())
                .append("fieldCode", getFieldCode())
                .append("fieldType", getFieldType())
                .append("fieldSort", getFieldSort())
                .append("fieldRemark", getFieldRemark())
                .append("taskPartitionDictId", getTaskPartitionDictId())
                .append("taskPartitionDictName", getTaskPartitionDictName())
                .append("taskTypeId", getTaskTypeId())
                .append("taskTypeName", getTaskTypeName())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
